karpen74us.sidemenudrawer

## Class SideMenuDrawer

- java.lang.Object
- - AppCompatActivity
  - - karpen74us.sidemenudrawer.SideMenuDrawer

    public abstract class SideMenuDrawer
    extends AppCompatActivity

### Nested Class Summary

Nested Classes
`class` `SideMenuDrawer.ItemListAdapter`
`class` `SideMenuDrawer.ItemObject`

### Constructor Summary

Constructors
Constructor and Description
`SideMenuDrawer()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`void` `addSideMenuBottomItem(Fragment fr, int res, java.lang.String txt)`
`void` `addSideMenuItem(Fragment fr, int res, java.lang.String txt)`
`java.lang.CharSequence` `getCurrentItemName()`
`abstract void` `init(android.os.Bundle savedInstanceState)`
`void` `initSideMenu()`
`void` `onBackPressed()`
`void` `onConfigurationChanged(android.content.res.Configuration newConfig)`
`protected void` `onCreate(android.os.Bundle savedInstanceState)`
`boolean` `onOptionsItemSelected(android.view.MenuItem item)`
`protected void` `onPostCreate(android.os.Bundle savedInstanceState)`
`void` `selectSideMenuItem(int position)`
`void` `setFirstSideMenuItem()`
`void` `setItemFragmentByItemName(java.lang.String item_name)`
`void` `setMenuSubTitle(java.lang.String txt)`
`void` `setMenuTitle(java.lang.String txt)`
`void` `setTitle(java.lang.CharSequence title)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SideMenuDrawer

    public SideMenuDrawer()

### Method Detail

#### onCreate

    protected void onCreate(android.os.Bundle savedInstanceState)

#### init

    public abstract void init(android.os.Bundle savedInstanceState)

#### setMenuTitle

    public void setMenuTitle(java.lang.String txt)

#### setMenuSubTitle

    public void setMenuSubTitle(java.lang.String txt)

#### initSideMenu

    public void initSideMenu()

#### addSideMenuItem

    public void addSideMenuItem(Fragment fr,
                                int res,
                                java.lang.String txt)

#### addSideMenuBottomItem

    public void addSideMenuBottomItem(Fragment fr,
                                      int res,
                                      java.lang.String txt)

#### onOptionsItemSelected

    public boolean onOptionsItemSelected(android.view.MenuItem item)

#### onPostCreate

    protected void onPostCreate(android.os.Bundle savedInstanceState)

#### onConfigurationChanged

    public void onConfigurationChanged(android.content.res.Configuration newConfig)

#### setTitle

    public void setTitle(java.lang.CharSequence title)

#### selectSideMenuItem

    public void selectSideMenuItem(int position)

#### setFirstSideMenuItem

    public void setFirstSideMenuItem()

#### getCurrentItemName

    public java.lang.CharSequence getCurrentItemName()

#### setItemFragmentByItemName

    public void setItemFragmentByItemName(java.lang.String item_name)

#### onBackPressed

    public void onBackPressed()